PULSAR

Build Waterfall Graph

Waterfall report /kpi/waterfall

Replaces: /machine/:id/downtime-metrics:

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/kpi/waterfall

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/kpi/waterfall" \  -H "Content-Type: application/json" \  -d '{    "where": {      "dateRanges": [        {          "end": "2019-08-24T14:15:22Z",          "start": "2019-08-24T14:15:22Z"        }      ],      "machineId": 0.1    }  }'
{  "stopClassifications": [    {      "unit": "string",      "value": 0.1,      "metric": "string"    }  ],  "stopProgrammed": [    {      "unit": "string",      "value": 0.1,      "metric": "string"    }  ],  "kpis": [    {      "unit": "string",      "value": 0.1,      "metric": "string"    }  ],  "isValid": true,  "machineId": 0.1}